Name:		etherape
Summary:	Graphical network viewer modeled after etherman
Version:	0.8.2
Release: 6mdk
License:	GPL
Group:		Monitoring
URL:		http://etherape.sourceforge.net/

Source:		%name-%version.tar.bz2
Source1:	pam.%name-auth
Source2:	apps.%name-auth
Requires:	gnome-libs >= 1.0.0, libglade >= 0.11, usermode
BuildRoot:	%_tmppath/%name-%version-%release-root

%description
Etherape is a graphical network monitor for Unix modeled after
etherman. Featuring ether, ip and tcp modes, it displays network
activity graphically. Hosts and links change in size with traffic. 
Color coded protocols display. It supports ethernet, ppp and slip 
devices. It can filter traffic to be shown, and can read traffic 
from a file as well as live from the network. 


%prep
%setup -q

%build

export CFLAGS="$RPM_OPT_FLAGS -I%_includedir/libglade-1.0"
export CXXFLAGS="$RPM_OPT_FLAGS -I%_includedir/libglade-1.0"

%configure --enable-static-pcap

%make

%install
%makeinstall

mkdir -p %buildroot/%_sbindir/
mv %buildroot/%_bindir/etherape %buildroot/%_sbindir/etherape.real
rm -f %buildroot/%_bindir/consolehelper
ln -sf %{_bindir}/consolehelper %buildroot/%_bindir/etherape

# make for pam
install -d %buildroot/%_sysconfdir/{pam.d,security/console.apps}
install -d %buildroot/%_bindir
install -m644 %SOURCE1 %buildroot/%_sysconfdir/pam.d/etherape
install -m644 %SOURCE2 %buildroot/%_sysconfdir/security/console.apps/etherape

%{find_lang} %name

install -d %buildroot/%_menudir
cat << EOF > %buildroot/%_menudir/%name
?package(etherape): \
  needs=wm\
  section=Applications/Monitoring\
  title=Etherape\
  longtitle="Graphical network viewer"\
  icon=monitoring_section.png\
  command=%{_bindir}/etherape
EOF

%post
%update_menus

%postun
%clean_menus

%clean
rm -fr %buildroot

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README FAQ 
%doc README.help README.bugs README.thanks
%config(noreplace) %_sysconfdir/etherape/*
%config(noreplace) %_sysconfdir/pam.d/etherape
%config(noreplace) %_sysconfdir/security/console.apps/etherape
%_bindir/*
%_sbindir/*
%_mandir/man1/*
%_menudir/*
%_datadir/etherape
%_datadir/gnome/apps/Applications/etherape.desktop
%_datadir/gnome/help/etherape
%_datadir/pixmaps/*


%changelog
* Tue Jan 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.8.2-6mdk
- rebuild

* Wed Jan 30 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.8.2-5mdk
- fix menu thanks to huug <huug.2001@hccnet.nl>

* Tue Jan 29 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.8.2-4mdk
- icon
- fix build

* Thu Sep 13 2001 Daouda LO <daouda@mandrakesoft.com> 0.8.2-3mdk
- consolehelper real fix (fix the security apps file). 

* Tue Sep 11 2001 Daouda LO <daouda@mandrakesoft.com> 0.8.2-2mdk
- use usermode console helper, don't provide it.

* Mon Aug 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.8.2-1mdk
- updated to 0.8.2

* Thu Jul 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.7.7-1mdk
- updated to 0.7.7

* Mon Apr 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.9-1mdk
- updated to 0.6.9

* Fri Jan 05 2001 David BAUDENS <baudens@mandrakesoft.com> 0.5.6-2mdk
- Use %%make macro
- Own %%_datadir/etherape
- s/Copyright/Licence
- Requires: usermode

* Mon Oct 30 2000 Vincent Danen  <vdanen@mandrakesoft.com> 0.5.6-1mdk
- first Mandrake release
- included support for consolehelper since etherape can only be run as root
